# KJSEmbed::JSValueProxy Class Reference

Provides a binding to an opaque value. More...

`#include <jsvalueproxy.h>`

Inheritance diagram for KJSEmbed::JSValueProxy:

List of all members.

## Public Member Functions

| JSValueProxy ()
virtual | ~JSValueProxy ()
QString | typeName () const
void | setValue (const QVariant &var)
QVariant | toVariant () const
virtual void | addBindings (KJS::ExecState *state, KJS::Object &object)
virtual KJS::UString | toString (KJS::ExecState *exec) const

## Detailed Description

Provides a binding to an opaque value.

Author:
  Richard Moore, rich@kde.org

## Constructor & Destructor Documentation

KJSEmbed::JSValueProxy::JSValueProxy | ( |  | ) |

virtual KJSEmbed::JSValueProxy::~JSValueProxy | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void KJSEmbed::JSValueProxy::addBindings | ( | KJS::ExecState * | state,
|  | KJS::Object & | object
| ) | `[virtual]`

void KJSEmbed::JSValueProxy::setValue | ( | const QVariant & | var | ) |

virtual KJS::UString KJSEmbed::JSValueProxy::toString | ( | KJS::ExecState * | exec | ) | const`[virtual]`

| Reimplemented to return the name and class of the target.

QVariant KJSEmbed::JSValueProxy::toVariant | ( |  | ) | const

QString KJSEmbed::JSValueProxy::typeName | ( |  | ) | const

The documentation for this class was generated from the following file:

- jsvalueproxy.h